Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax.bio.phylo.io.nexus
Class TreesBlock

    java.lang.Object
      org.biojavax.bio.phylo.io.nexus.NexusBlock.Abstract
          org.biojavax.bio.phylo.io.nexus.TreesBlock

All Implemented Interfaces:
  NexusBlock, NexusObject

    public class TreesBlock

extends NexusBlock.Abstract

Represents Nexus trees blocks.

Since:
  1.6
Author:
  Richard Holland, Tobias Thierer, Jim Balhoff

Nested Class Summary
`static class` | `TreesBlock.NewickTreeString` A simple representation of a Newick tree as a single string.

Nested classes/interfaces inherited from interface org.biojavax.bio.phylo.io.nexus.NexusBlock
`NexusBlock.Abstract`

Field Summary
`static String` | `TREES_BLOCK` A constant representing the name of Trees blocks.

Constructor Summary
`TreesBlock()` Delegates to NexusBlock.Abstract constructor using TreesBlock.TREES_BLOCK as the name.

Method Summary
`void` | `addComment(NexusComment comment)` Adds a comment.
`void` | `addTranslation(String label, String taxa)` Add a translation.
`void` | `addTree(String label, TreesBlock.NewickTreeString tree)` Adds a tree.
`void` | `addTree(String label, org.jgrapht.UndirectedGraph<String,org.jgrapht.graph.DefaultEdge> treegraph)` Add a tree, converting unweighted graph (JGraphT) to NewickString
`void` | `addTree(String label, org.jgrapht.WeightedGraph<String,org.jgrapht.graph.DefaultWeightedEdge> treegraph)` Add a tree, converting weighted graph (JGraphT) to NewickString
`boolean` | `containsTranslation(String label)` Checks to see if we contain the given translation.
`boolean` | `containsTree(String label)` Checks to see if we contain the given tree.
`List` | `getComments()` Returns all comments.
`Map` | `getTranslations()` Get the translations added so far.
`Object` | `getTree(String label)` Returns a tree for given label
`org.jgrapht.UndirectedGraph<String,org.jgrapht.graph.DefaultEdge>` | `getTreeAsJGraphT(String label)` Get given (NewieckString) tree by label, converts it to unweighted graph (JGraphT).
`org.jgrapht.WeightedGraph<String,org.jgrapht.graph.DefaultWeightedEdge>` | `getTreeAsWeightedJGraphT(String label)` Get given (NewieckString) tree by label, converts it to weighted graph (JGraphT).
`Map` | `getTrees()` Returns all trees.
`void` | `removeComment(NexusComment comment)` Removes a comment.
`void` | `removeTranslation(String label)` Removes the given translation.
`void` | `removeTree(String label)` Removes a tree.
`protected void` | `writeBlockContents(Writer writer)` Implement this to write out block contents, not including the BEGIN and END tags.

Methods inherited from class org.biojavax.bio.phylo.io.nexus.NexusBlock.Abstract
`getBlockName, writeObject, writeToken`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TREES_BLOCK

    public static final String TREES_BLOCK

  A constant representing the name of Trees blocks.

  See Also:
    Constant Field Values

Constructor Detail

### TreesBlock

    public TreesBlock()

  Delegates to NexusBlock.Abstract constructor using TreesBlock.TREES_BLOCK as the name.

Method Detail

### addTranslation

    public void addTranslation(String label,
                               String taxa)

  Add a translation.

  Parameters:
    `label` - the label to add.
    `taxa` - the taxa name this label will represent.

### removeTranslation

    public void removeTranslation(String label)

  Removes the given translation.

  Parameters:
    `label` - the label to remove.

### containsTranslation

    public boolean containsTranslation(String label)

  Checks to see if we contain the given translation.

  Parameters:
    `label` - the label to check for.
  Returns:
    `true` if we already contain it.

### getTranslations

    public Map getTranslations()

  Get the translations added so far.

  Returns:
    the translations added so far.

### addTree

    public void addTree(String label,
                        TreesBlock.NewickTreeString tree)

  Adds a tree.

  Parameters:
    `label` - the label to give the tree.
    `tree` - the tree to add.

### removeTree

    public void removeTree(String label)

  Removes a tree.

  Parameters:
    `label` - the label to remove.

### containsTree

    public boolean containsTree(String label)

  Checks to see if we contain the given tree.

  Parameters:
    `label` - the label to check for.
  Returns:
    `true` if we already contain it.

### getTrees

    public Map getTrees()

  Returns all trees.

  Returns:
    all the selected trees.

### getTree

    public Object getTree(String label)

  Returns a tree for given label

  Parameters:
    `label` - the label to select.
  Returns:
    selected tree.

### addTree

    public void addTree(String label,
                        org.jgrapht.UndirectedGraph<String,org.jgrapht.graph.DefaultEdge> treegraph)

  Add a tree, converting unweighted graph (JGraphT) to NewickString

  Parameters:
    `label` - the label to add
    `treegraph` - the treegraph to convert.

### addTree

    public void addTree(String label,
                        org.jgrapht.WeightedGraph<String,org.jgrapht.graph.DefaultWeightedEdge> treegraph)

  Add a tree, converting weighted graph (JGraphT) to NewickString

  Parameters:
    `label` - the label to add
    `treegraph` - the treegraph to convert.

### getTreeAsJGraphT

    public org.jgrapht.UndirectedGraph<String,org.jgrapht.graph.DefaultEdge> getTreeAsJGraphT(String label)

  Get given (NewieckString) tree by label, converts it to unweighted graph (JGraphT).

  Parameters:
    `label` - label for tree selection
  Returns:
    converted tree as undirectedGraph

### getTreeAsWeightedJGraphT

    public org.jgrapht.WeightedGraph<String,org.jgrapht.graph.DefaultWeightedEdge> getTreeAsWeightedJGraphT(String label)

  Get given (NewieckString) tree by label, converts it to weighted graph (JGraphT).

  Parameters:
    `label` - label for tree selection
  Returns:
    converted tree as undirectedGraph

### addComment

    public void addComment(NexusComment comment)

  Adds a comment.

  Parameters:
    `comment` - the comment to add.

### removeComment

    public void removeComment(NexusComment comment)

  Removes a comment.

  Parameters:
    `comment` - the comment to remove.

### getComments

    public List getComments()

  Returns all comments.

  Returns:
    all the selected comments.

### writeBlockContents

    protected void writeBlockContents(Writer writer)
                               throws IOException

  Description copied from class: `NexusBlock.Abstract`
  Implement this to write out block contents, not including the BEGIN and END tags.

  Specified by:
    `writeBlockContents` in class `NexusBlock.Abstract`
  Parameters:
    `writer` - the writer to write to.
  Throws:
    `IOException` - if writing failed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD